curl --request POST \
--url https://thirdparty-sandbox.staging.qonto.co/register/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Qonto-Partner-Id: <api-key>' \
--data '
{
"callback_url": "https://example.com/myCallbackUrl",
"enabled": true,
"secret": "1qA+9OSwfnm0NuhF+b8CJA=="
}
'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/webhooks"
payload = {
"callback_url": "https://example.com/myCallbackUrl",
"enabled": True,
"secret": "1qA+9OSwfnm0NuhF+b8CJA=="
}
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Qonto-Partner-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
callback_url: 'https://example.com/myCallbackUrl',
enabled: true,
secret: '1qA+9OSwfnm0NuhF+b8CJA=='
})
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callback_url": "https://example.com/myCallbackUrl",
"enabled": true,
"secret": "1qA+9OSwfnm0NuhF+b8CJA==",
"id": "37824615-afec-4340-b700-0981b5f0c319",
"created_at": "2021-08-17T12:31:32.689Z",
"updated_at": "2021-08-17T12:31:32.689Z"
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}{
"errors": [
{
"code": "<error-code>",
"detail": "<relevant-detail>",
"source": {
"pointer": "<ie /data/attributes/attr_name>"
}
}
]
}Register a webhook endpoint
Registers a single webhook endpoint on which you’ll receive all supported events (you cannot choose the events you are subscribing to).
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
Response
Returns the webhook endpoint registered.
Your webhook endpoint
"https://example.com/myCallbackUrl"
Whether the webhook should be used or not
true
Secret used for applying HMAC-SHA256 to the webhook event payload
"1qA+9OSwfnm0NuhF+b8CJA=="
"37824615-afec-4340-b700-0981b5f0c319"
"2021-08-17T12:31:32.689Z"
"2021-08-17T12:31:32.689Z"
Was this page helpful?